Subject: Re: bug#39974: Guile fails to build without makeinfo

From: Ludovic Courtès <[email-masked]>
Date: Sun, 08 Mar 2020 12:09:59 +0100

Hello,

Fabrice Fontaine <[email-masked]> skribis:

> Le sam. 7 mars 2020 à 21:40, Ludovic Courtès <[email-masked]> a écrit :

[...]

>> > Yes, this build failure is raised by one of our buidlroot autobuilders.
>> > We're running autoreconf as we have a patch that updates configure.ac:
>>
>> OK.  From Guile’s perspective, it’s not a bug that ‘makeinfo’ is needed
>> in this case.
> OK, then instead of this patch, do you think that adding a
> --disable-doc option could be acceptable?

No because again, when building from a tarball, ‘makeinfo’ is not needed
(the Info files are included in the tarball).  I hope that makes sense!

Thanks,
Ludo’.